[![License GPL 3][badge-license]](http://www.gnu.org/licenses/gpl-3.0.txt)
[![Build Status](https://img.shields.io/travis/tonini/alchemist.el.svg)](https://travis-ci.org/tonini/alchemist.el)
[![MELPA](http://melpa.org/packages/alchemist-badge.svg)](http://melpa.org/#/alchemist)
[![MELPA Stable](http://stable.melpa.org/packages/alchemist-badge.svg)](http://stable.melpa.org/#/alchemist)
[![Paypal](https://img.shields.io/badge/paypal-donate-blue.svg)](https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=tonini%2esamuel%40gmail%2ecom&lc=CH&item_name=Support%20Alchemist%20maintainer&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHostedGuest)

<br/>

<p align="left">
  <img
  src="https://raw.githubusercontent.com/tonini/alchemist.el/master/images/alchemist_logo.png"
  alt="Alchemist Logo"/>
</p>

> Elixir Tooling Integration Into Emacs</blockquote>

Alchemist comes with a bunch of **features**, which are:

* Mix integration
* Compile & Execution of Elixir code
* Inline code evaluation
* Inline macro expanding
* Documentation lookup
* Definition lookup
* Powerful IEx integration
* Smart code completion
* Elixir project management
* Phoenix support
* Integration with [company-mode](http://company-mode.github.io/)

***

# Quickstart

## Installation

`package.el` is the built-in package manager in Emacs.

Alchemist.el is available on the two major `package.el` community maintained repos - [MELPA Stable](http://stable.melpa.org) and [MELPA](http://melpa.org).

You can install `Alchemist` with the following command:

<kbd>M-x package-install [RET] alchemist [RET]</kbd>

# Documentation

Documentation is available [here](http://alchemist.readthedocs.org/).

# Support

If you hit any problems, please first ensure that you are using the latest version of this code,
and that you have updated your packages to the most recent available versions.

* To report bugs or feature requests: please use the [issue tracker on Github](https://github.com/tonini/alchemist.el/issues).
* To talk about the project with people in real time: please join the #emacs-elixir channel on [IRC](http://de.wikipedia.org/wiki/Internet_Relay_Chat)
  or the #emacs channel on [Elixir Slack](https://elixir-lang.slack.com).

# Contributing

We appreciate any contribution to Alchemist, so check out our [Contribution guidelines](CONTRIBUTING.md) for more information.

# License

Copyright © 2014-2015 Samuel Tonini and
[contributors](https://github.com/tonini/alchemist.el/contributors).

Distributed under the GNU General Public License, version 3

[badge-license]: https://img.shields.io/badge/license-GPL_3-green.svg
